Create listing
curl --request POST \
--url https://api.quentli.com/v1/listings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": {
"name": "<string>",
"url": "<string>",
"items": [
{
"conceptId": "<string>",
"quantity": 123
}
],
"description": "<string>",
"private": false,
"active": true,
"onlyAutomaticCollection": false,
"templateId": "<string>"
}
}
'import requests
url = "https://api.quentli.com/v1/listings"
payload = { "input": {
"name": "<string>",
"url": "<string>",
"items": [
{
"conceptId": "<string>",
"quantity": 123
}
],
"description": "<string>",
"private": False,
"active": True,
"onlyAutomaticCollection": False,
"templateId": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: {
name: '<string>',
url: '<string>',
items: [{conceptId: '<string>', quantity: 123}],
description: '<string>',
private: false,
active: true,
onlyAutomaticCollection: false,
templateId: '<string>'
}
})
};
fetch('https://api.quentli.com/v1/listings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quentli.com/v1/listings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'input' => [
'name' => '<string>',
'url' => '<string>',
'items' => [
[
'conceptId' => '<string>',
'quantity' => 123
]
],
'description' => '<string>',
'private' => false,
'active' => true,
'onlyAutomaticCollection' => false,
'templateId' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quentli.com/v1/listings"
payload := strings.NewReader("{\n \"input\": {\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"items\": [\n {\n \"conceptId\": \"<string>\",\n \"quantity\": 123\n }\n ],\n \"description\": \"<string>\",\n \"private\": false,\n \"active\": true,\n \"onlyAutomaticCollection\": false,\n \"templateId\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.quentli.com/v1/listings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"input\": {\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"items\": [\n {\n \"conceptId\": \"<string>\",\n \"quantity\": 123\n }\n ],\n \"description\": \"<string>\",\n \"private\": false,\n \"active\": true,\n \"onlyAutomaticCollection\": false,\n \"templateId\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quentli.com/v1/listings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"input\": {\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"items\": [\n {\n \"conceptId\": \"<string>\",\n \"quantity\": 123\n }\n ],\n \"description\": \"<string>\",\n \"private\": false,\n \"active\": true,\n \"onlyAutomaticCollection\": false,\n \"templateId\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"listing": {
"id": "lis_1234567890abcdefghij",
"createdAt": "2025-01-01T00:00:00.000Z",
"updatedAt": "2025-01-01T00:00:00.000Z",
"organizationId": "org_1234567890abcdefghij",
"name": "Inscripción 2025",
"description": null,
"url": "inscripcion-2025",
"private": false,
"active": true,
"recurrentDetailId": "<string>",
"templateId": null,
"onlyAutomaticCollection": false,
"items": [],
"form": null,
"recurrentDetail": null
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}Catalog
Create listing
Creates a public payment page for catalog items or a subscription template.
POST
/
v1
/
listings
Create listing
curl --request POST \
--url https://api.quentli.com/v1/listings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": {
"name": "<string>",
"url": "<string>",
"items": [
{
"conceptId": "<string>",
"quantity": 123
}
],
"description": "<string>",
"private": false,
"active": true,
"onlyAutomaticCollection": false,
"templateId": "<string>"
}
}
'import requests
url = "https://api.quentli.com/v1/listings"
payload = { "input": {
"name": "<string>",
"url": "<string>",
"items": [
{
"conceptId": "<string>",
"quantity": 123
}
],
"description": "<string>",
"private": False,
"active": True,
"onlyAutomaticCollection": False,
"templateId": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: {
name: '<string>',
url: '<string>',
items: [{conceptId: '<string>', quantity: 123}],
description: '<string>',
private: false,
active: true,
onlyAutomaticCollection: false,
templateId: '<string>'
}
})
};
fetch('https://api.quentli.com/v1/listings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quentli.com/v1/listings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'input' => [
'name' => '<string>',
'url' => '<string>',
'items' => [
[
'conceptId' => '<string>',
'quantity' => 123
]
],
'description' => '<string>',
'private' => false,
'active' => true,
'onlyAutomaticCollection' => false,
'templateId' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quentli.com/v1/listings"
payload := strings.NewReader("{\n \"input\": {\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"items\": [\n {\n \"conceptId\": \"<string>\",\n \"quantity\": 123\n }\n ],\n \"description\": \"<string>\",\n \"private\": false,\n \"active\": true,\n \"onlyAutomaticCollection\": false,\n \"templateId\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.quentli.com/v1/listings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"input\": {\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"items\": [\n {\n \"conceptId\": \"<string>\",\n \"quantity\": 123\n }\n ],\n \"description\": \"<string>\",\n \"private\": false,\n \"active\": true,\n \"onlyAutomaticCollection\": false,\n \"templateId\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quentli.com/v1/listings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"input\": {\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"items\": [\n {\n \"conceptId\": \"<string>\",\n \"quantity\": 123\n }\n ],\n \"description\": \"<string>\",\n \"private\": false,\n \"active\": true,\n \"onlyAutomaticCollection\": false,\n \"templateId\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"listing": {
"id": "lis_1234567890abcdefghij",
"createdAt": "2025-01-01T00:00:00.000Z",
"updatedAt": "2025-01-01T00:00:00.000Z",
"organizationId": "org_1234567890abcdefghij",
"name": "Inscripción 2025",
"description": null,
"url": "inscripcion-2025",
"private": false,
"active": true,
"recurrentDetailId": "<string>",
"templateId": null,
"onlyAutomaticCollection": false,
"items": [],
"form": null,
"recurrentDetail": null
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}Authorizations
organizationApiKeyoauthAccessToken
Was this page helpful?